<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>slot-elements demo</title>

    <script src="../../webcomponentsjs/webcomponents-loader.js"></script>

    <link rel="import" href="../../iron-demo-helpers/demo-pages-shared-styles.html">
    <link rel="import" href="../../iron-demo-helpers/demo-snippet.html">
    <link rel="import" href="../slot-elements.html">

    <custom-style>
      <style is="custom-style" include="demo-pages-shared-styles">
        html{
          --my-custom-mixin:{
            color: black;
            font-style: italic;
            font-family: fantasy;
          }
        }
      </style>
    </custom-style>
  </head>
  <body>
    <div class="vertical-section-container centered">
      <h3>Basic slot-elements demo</h3>
      <demo-snippet>
        <template>
          <slot-elements>
            dentro del slot ...
            <span slot="span1"> mas texto ...</span>
            <span slot="span2Clase" class="classSlotA"> Lorem ipsum dolor sit amet, consectetur adipisicing elit. Harum consequuntur, laborum sequi, officia atque nostrum quaerat minus tenetur rerum iste, dolores recusandae temporibus quidem ullam. Officia velit dicta dolore fugiat!</span>
          </slot-elements>
        </template>
      </demo-snippet>
    </div>
  </body>
</html>
